terraform {
    backend "kubernetes" {
        secret_suffix = "state"
        config_path = "~/.kube/config"
        labels = {
            "app.kubernetes.io/managed-by": "terraform"
        }
    }
}

provider "kubernetes" {
  config_path    = "~/.kube/config"
}

module "aws-parameters-external-secrets" {
    source = "./modules/aws-parameters-external-secrets"
}
